* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --branco: #FFF;
  --rosa: #FC3085;
  --laranja: #EA9B22;
  --roxo: #45197be6;
  --roxoEscuro: #1F0C5E;
  /* --fonte-titulo: "Pixelify Sans", serif; */
  --fonte-titulo: "Macondo", serif;
  --fonte-texto: "Roboto", sans-serif;
}

body {
  background-image: url("../images/fundo.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed; /* Torna o background fixo */
  background-position: center; /* Centraliza o fundo */
  
  height: 100%;
  min-height: 100vh;

  display: flex;
  flex-direction: column;
  align-items: center;
}


main {
  background-color: var(--roxo);
  margin: 64px 0;

  display: flex;
  flex-direction: column;
  gap: 60px;

  max-width: 440px;
  padding: 20px 50px;

  align-items: center;
  border-radius: 16px;
}

.logo {
  width: 214px;
  max-width: 100%;
}

form {
  width: 100%;

  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
}

.container-pontos {
  background-color: var(--roxoEscuro);
  width: 100%;
  height: 43px;
  border-radius: 15px;

  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10px;
}

.container-pontos h3 {
  font-family: var(--fonte-titulo);
  font-size: 18px;
  letter-spacing: 2px;
  color: var(--branco);
  text-shadow: 2px 2px rgba(0, 0, 0, 0.2);
}

.container-pontos p {
  font-family: var(--fonte-texto);
  font-size: 20px;
  color: var(--laranja);
  text-shadow: 2px 2px rgba(0, 0, 0, 0.2);
  font-weight: bold;
}

input {
  background-color: var(--branco);
  border-radius: 15px;
  height: 43px;
  padding: 15px;
  border: none;
  
  font-family: var(--fonte-texto);
  font-size: 12px;
}

input::placeholder {
  color: var(--roxoEscuro);
}

#input-tarefa {
  width: 100%;
}

#input-ponto {
  width: 45%;
}

#adicionar-tarefa {
  background-color: var(--rosa);
  height: 43px;
  width: 45%;

  color: var(--branco);
  text-align: center;
  font-family: var(--fonte-texto);
  font-size: 14px;
  text-transform: uppercase;

  border-radius: 15px;
  border: none;
}

ul {
  list-style-type: none;
}

.container-listas {
  width: 100%;

  display: flex;
  flex-direction: column;
  gap: 40px;
}

.container-lista-vivos, #container-lista-derrotados {
  min-height: 158px;
}

li {
  margin: 15px 0;
  max-width: 100%;
}

h2 {
  font-family: var(--fonte-titulo);
  font-size: 22px;
  color: var(--rosa);
  text-shadow: 2px 2px rgba(0, 0, 0, 0.2);
  letter-spacing: 2px;
}

hr {
  width: 100%;
  border: none;
  border-bottom: 3px solid var(--branco);
  margin-top: 8px;
}

.lista-item-container {
  display: flex;
  justify-content: space-between;
}

.container-item {
  display: flex;
  gap: 10px;
}

.container-item p {
  font-family: var(--fonte-texto);
  color: var(--branco);
  min-width: 183px;
}

.container-item span {
  font-family: var(--fonte-texto);
  color: var(--laranja);
  min-width: 46px;
  text-align: center;
}

.input-checkbox {
  display: none;
}

.checkbox-customizado {
  width: 20px;
  height: 20px;
  background-color: var(--branco);
  border: 1px solid var(--roxoEscuro);
  cursor: pointer;
  border-radius: 4px;
}

.checked {
  background-color: var(--roxoEscuro);
  position: relative;
}

.checkbox-customizado.checked::after {
  content: "";
  position: absolute;
  left: 30%;
  top: -10%;
  width: 5px;
  height: 14px;

  border-top: 2px solid var(--branco);
  border-left: 2px solid var(--branco);

  transform: rotate(-140deg);
}

.container-botao-tarefa {
  display: flex;
  gap: 5px;
}

.tarefa-button {
  background-color: transparent;
  font-family: var(--fonte-texto);
  border: none;
  cursor: pointer;
}

.tarefa-button img {
  width: 20px;
}

footer {
  width: 100%;
  text-align: center;
}

footer p {
  color: var(--branco);
  font-family: var(--fonte-texto);
  font-size: 10px;
}

footer a {
  color: var(--laranja);
  font-weight: bold;
  text-decoration: none;
}

#mensagem-lista-vazia {
  display: block;
  width: 100%;
  padding: 20px 0;
  margin: 15px 0;
  
  text-align: center;
  font-size: 14px;
  font-family: var(--fonte-texto);
  color: var(--laranja);
}

@media screen and (max-width: 400px) {
  main {
    margin: 0;
    width: 100%;
    height: 100%;
    border-radius: 0;
    padding: 20px 10px;
  }
}